#include <Wire.h>
#include <avr/pgmspace.h>
#include "OLED.h"
int analogPin = 3; 
int val;
void setup() {
  
  //Power on UEXT
    pinMode(8, OUTPUT);
    digitalWrite(8, LOW);
    delay(300);

    Wire.begin();

    send_command(0xAE);
    send_command_data(0xD5, __osc_freq << 4 | __clk_div);
    send_command_data(0xA8, __mux_ratio);
    send_command_data(0xd3, 0x00);
    send_command_data(0x8d, 0x14);
    send_command(0x40);
    send_command(0xa6);
    send_command(0xa4);
    send_command(0xa1);
    send_command(0xc8);
    // Horizontal mode
    send_command(0x20);
    send_command(0x00);

    send_command_data(0xda, 0x12);
    send_command_data(0x81, __contrast);
    send_command_data(0xd9, 0xf1);
    send_command_data(0xdb, 0x40);
    send_command(0xaf);


}

void loop() {
  String s_val;
  char charBuf[8];
  val = analogRead(analogPin);    // read the input pin
      clear_screen();             //clear frame buffer
      s_val = "V: "+ String(val,DEC); //prepare string with readed value
      s_val.toCharArray(charBuf,8);  //convert to char array
      print_text(1,charBuf);    //print formated text into frame buffer
      
      //you may add more things to display
      
      
    
      
    update();      //upload frame buffer to display
    delay(200);
  
}
